aboutsummaryrefslogtreecommitdiffstats
path: root/asn1c/check-parsing.sh
diff options
context:
space:
mode:
authorLev Walkin <vlm@lionet.info>2005-03-17 22:20:05 +0000
committerLev Walkin <vlm@lionet.info>2005-03-17 22:20:05 +0000
commitcc3e13d4fa0c37168d8caef2d35430af4f73933c (patch)
tree3570fd2426c55d55c6ac52e85d6673598cde05cf /asn1c/check-parsing.sh
parent3ebc65a699b9a093332fc93d5df8873158d599a4 (diff)
discover -a and -u flags
Diffstat (limited to 'asn1c/check-parsing.sh')
-rwxr-xr-xasn1c/check-parsing.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/asn1c/check-parsing.sh b/asn1c/check-parsing.sh
index 5480d0b9..37765cd0 100755
--- a/asn1c/check-parsing.sh
+++ b/asn1c/check-parsing.sh
@@ -2,7 +2,8 @@
tmpfile=".check-parsing.$$.tmp"
-diff -a . . 2>/dev/null && diffArgs="-a"
+diff -a . . 2>/dev/null && diffArgs="-a" # Assume text files
+diff -u . . 2>/dev/null && diffArgs="$diffArgs -u" # Unified diff output
ec=0
@@ -12,7 +13,7 @@ for ref in ../tests/*.asn1.-*; do
echo "Checking $src against $ref"
./asn1c "-$flags" "$src" > "$tmpfile" || ec=$?
if [ $? = 0 ]; then
- diff $diffArgs -u "$ref" "$tmpfile" || ec=$?
+ diff $diffArgs "$ref" "$tmpfile" || ec=$?
fi
if [ "$1" != "regenerate" ]; then
rm -f "$tmpfile"